##### GENERAL STUFF #####

Summary: I/O library for GPhoto 2.x
Name: libgpio
Version: 0.0.2
Release: alt3
License: LGPL
Group: Graphics

##### SOURCE FILES #####

Source: libgpio.tar.bz2
Patch1: libgpio-opt.patch

##### ADDITIONAL DEFINITIONS #####

Requires: libusb
BuildRequires: libusb-devel

##### SUB-PACKAGES #####

%description
libgpio is a library for different I/O operations done by GPhoto 2.0

%package devel
Summary: Headers and links to compile against the "libgpio" library
Requires: %name = %version-%release
Group: Graphics

%description devel
This package contains all files which one needs to compile programs using
the "libgpio" library.

%package devel-static
Summary: Static libraries to compile against the "libgpio" library
Requires: %name-devel = %version-%release
Group: Graphics

%description devel-static
This package contains static libraries which one needs to compile programs using
the "libgpio" library.

##### PREP #####

%prep
%setup -q -n libgpio
%patch1 -p1

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
./autogen.sh

# _BSD_SOURCE needed for definition of IUCLC and IXANY termios
%add_optflags -D_BSD_SOURCE=1
rm -f config.cache

%configure
%make_build

##### INSTALL #####

%install
%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%_defaultdocdir/%name

##### PRE/POST INSTALL SCRIPTS #####

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libgpio
%files
%_libdir/*.so.*
%_libdir/gpio/*.so.*

##### libgpio-devel
%files devel
%_libdir/*.so
%_libdir/*.la
%_libdir/*.sh
%_libdir/gpio/*.so
%_libdir/gpio/*.la
%_bindir/*
%_includedir/gpio/*

%files devel-static
%_libdir/gpio/*.a
%_libdir/*.a

##### CHANGELOG #####

%changelog
* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.2-alt3
- Rebuilt in new environment

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.0.2-alt2
- Added -D_BSD_SOURCE=1 to %optflags
- Rebuild with new libusb
- Some spec cleanup

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.0.2-alt1
- First build for Sisyphus
- Added devel-static package

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-3mdk
- Rebuild, 0.0.2-2mdk got lost on the Cooker

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-2mdk
- Corrected the "Requires:" and "Buildrequires:" entries

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-1mdk
- Initial release

